const radiomanifest = require('../radiomanifest.js')
const chai = require('chai')
chai.use(require('chai-as-promised'))
const assert = chai.assert

const expect = chai.expect
const url = 'https://boyska.degenerazione.xyz/radiomanifest/examples/empty/'

describe('radiomanifest.js', () => {
  describe('Get empty radiomanifest', () => {
    it('should return a Promise', () => {
      const p = radiomanifest.get(url)
      expect(p instanceof Promise).to.be.eql(true)
    })
  })

  describe('streaming', () => {
    it('shoud return no streaming option', async () => {
      const p = await radiomanifest.get(url)
      expect(p.getStreaming().getOptions().length).to.be.equal(0)
    })
  })
})
